## linbox 1.3.2

=== debian/changelog ===
linbox (1.3.2-1.1build2) wily; urgency=medium

  * No-change rebuild against libgivaro1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 00:58:47 +0000

linbox (1.3.2-1.1build1) vivid; urgency=medium

  * Rebuild against libntl5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Nov 2014 19:54:35 +0000

linbox (1.3.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: build failed on post-compile-test on mips/mipsel"
    Add fix-RR-RecCounter.patch
    Patch by Dejan Latinovic
    Closes: #733917

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 16 Feb 2014 05:27:42 +0000

linbox (1.3.2-1) unstable; urgency=low

  [ Lifeng Sun ]
  * New maintainer.
  * New upstream release. (Closes: #701176)
  * New packages: liblinboxsage1, liblinboxsage-dev and liblinbox-doc.
  * Use Debian specific SONAME: liblinbox-1.3.2.so.0 and
    liblinboxsage-1.3.2.so.0.
  * Bump Standards-Version to 3.9.4.
  * Support multiarch.
  * liblinbox-dev: ship examples files.
  * debian/control:
    - remove obsolte DM-Upload-Allowed field.
    - new build-deps: libm4ri-dev, libfplll-dev, libmpfr-dev, gnuplot,
      libgivaro1 (>= 3.7.1 && << 3.8.0), graphviz, texlive-math-extra,
      libm4rie-dev, texlive-fonts-recommended.
  * debian/patches:
    - add fix-gmp-detect.patch: fix GMP detection.
    - add multiarch-libntl.patch: fix NTL detection.
    - remove long-long-fixes.patch, ffpack.h.patch and build-system.patch:
      fixed by upstream.
  * debian/copyright: specify format version URI.
  * debian/rules: switch to debhelper tiny-style.
  * debian/source/format: specify source format to 3.0 (quilt).
  * Add debian/watch file.

  [ Tobias Hansen ]
  * debian/patches:
    - add linboxsage-link-iml.patch: Link liblinboxsage against libiml.

 -- Lifeng Sun <lifongsun@gmail.com>  Wed, 28 Aug 2013 23:02:25 +0800

linbox (1.1.6~rc0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #622448).
  * Switch to doxygen-latex (Closes: #616267).

 -- Luk Claes <luk@debian.org>  Sat, 25 Jun 2011 16:29:57 +0200

linbox (1.1.6~rc0-4) unstable; urgency=low

  * Convert to new CDBS aclocal macros API (Closes: #545588).

 -- Tim Abbott <tabbott@mit.edu>  Sun, 13 Sep 2009 22:54:30 -0400

linbox (1.1.6~rc0-3) unstable; urgency=low

  * Fix DEB_AUTO_UPDATE_LIBTOOL usage (Closes: #507198).

 -- Tim Abbott <tabbott@mit.edu>  Thu, 04 Dec 2008 21:53:12 -0500

linbox (1.1.6~rc0-2) unstable; urgency=low

  * Include missing dependency on liblapack-dev.
  * Include patch to workaround a bug in charpoly.
  * Disable the commentator functionality (this seems to break the
    minpoly, charpoly, and rank functions for dense integer matrices under
    some circumstances that include all usage by Sage).

 -- Tim Abbott <tabbott@mit.edu>  Sat, 26 Jul 2008 01:44:30 -0400

linbox (1.1.6~rc0-1) unstable; urgency=low

  * Initial Release (Closes: #480092).

 -- Tim Abbott <tabbott@mit.edu>  Wed, 18 Jun 2008 13:10:27 -0400
