=== debian/control ===
Source: linbox
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Lifeng Sun <lifongsun@gmail.com>
Homepage: http://www.linalg.org/
Build-Depends: dh-autoreconf, debhelper (>= 8.0.0), libgivaro-dev (>= 3.7.1), libgivaro-dev (<< 3.8.0), libiml-dev, libntl-dev, libgmp-dev, libatlas-dev, libgsl0-dev, liblapack-dev, fflas-ffpack, libm4ri-dev, libm4rie-dev, libmpfr-dev, gnuplot
Build-Depends-Indep: doxygen-latex, ghostscript, graphviz, texlive-math-extra, texlive-fonts-recommended
Standards-Version: 3.9.4

Package: liblinbox-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblinbox-1.3.2-0 (= ${binary:Version}), libgivaro-dev, liblapack-dev
Suggests: liblinbox-doc
Description: Library for exact linear algebra - development files
 LinBox is a C++ template library for exact, high-performance
 linear algebra computation with dense, sparse, and structured
 matrices over the integers and over finite fields.
 .
 This package contains the LinBox development files.

Package: liblinbox-1.3.2-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for exact linear algebra - shared library
 LinBox is a C++ template library for exact, high-performance
 linear algebra computation with dense, sparse, and structured
 matrices over the integers and over finite fields.
 .
 This package contains the LinBox shared library.

Package: liblinboxsage-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblinbox-dev (= ${binary:Version}), liblinboxsage-1.3.2-0 (= ${binary:Version})
Suggests: liblinbox-doc
Description: SAGE interface of LinBox - development files
 LinBox is a C++ template library for exact, high-performance
 linear algebra computation with dense, sparse, and structured
 matrices over the integers and over finite fields.
 .
 This package contains development files for of interface of LinBox.

Package: liblinboxsage-1.3.2-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SAGE interface of LinBox - shared library
 LinBox is a C++ template library for exact, high-performance
 linear algebra computation with dense, sparse, and structured
 matrices over the integers and over finite fields.
 .
 This package contains shared library of SAGE interface of LinBox.

Package: liblinbox-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: LinBox Documentation
 LinBox is a C++ template library for exact, high-performance
 linear algebra computation with dense, sparse, and structured
 matrices over the integers and over finite fields.
 .
 This package provies documentation of LinBox.
