=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS :=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   :=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS :=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  :=$(shell dpkg-buildflags --get LDFLAGS)

export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-gmp \
		--with-m4rie \
		--with-givaro \
		--with-ntl \
		--with-iml \
		--with-m4ri \
		--enable-optimization \
		--enable-sage \
		--enable-shared

override_dh_auto_install:
	dh_auto_install --max-parallel=1
	mkdir -p debian/liblinboxsage-dev/usr/include/linbox
	mv debian/tmp/usr/include/linbox/linbox-sage.h \
		debian/liblinboxsage-dev/usr/include/linbox
	cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH); \
		ln -s liblinbox-1.3.2.so.0.0.0 liblinbox-1.3.2.so; \
		ln -s liblinboxsage-1.3.2.so.0.0.0 liblinboxsage-1.3.2.so

override_dh_auto_build-indep:
	dh_testdir
	$(MAKE) docs_dev
	$(MAKE) docs
	rm -f doc/linbox-*html/INSTALL
	rm -f doc/linbox-*html/COPYING

%:
	dh $@ --with autoreconf --parallel
