=== debian/watch ===
version=3

http://www.linalg.org/download.html linbox-([\d\.]+).tar.gz
