## linbox 1.4.2

=== debian/changelog ===
linbox (1.4.2-5build1) bionic; urgency=medium

  * No-change rebuild for libntl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Jan 2018 14:10:41 +0000

linbox (1.4.2-5) unstable; urgency=medium

  * Team upload.
  
  [ Doug Torrance ]
  * debian/control
    - Drop libatlas-dev from Build-Depends (Closes: #871713).

  [ Sébastien Villemot ]
  * d/copyright: use https for Format URL.
  * d/control:
    - bump Standards-Version to 4.0.1.
    - fix URL in Vcs-Browser field.
    - fix typo in liblinbox-doc description.
  * Bump to debhelper compat level 10.
  * Effectively skip test-charpoly on mips and mipsel. Thanks to Radovan
    Birdic for the patch. (Closes: #856356)
  * d/rules: support the nodoc flag of DEB_BUILD_OPTIONS.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 20 Aug 2017 15:39:12 +0200

linbox (1.4.2-4) unstable; urgency=medium

  * debian/control
    - Switch build dependency on texlive-math-extra to texlive-science
      (Closes: #867094).

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 03 Jul 2017 20:51:26 -0400

linbox (1.4.2-3) unstable; urgency=medium

  * Team upload.
  * Disable test-charpoly on mipsel. (Closes: #797167)

 -- Tobias Hansen <thansen@debian.org>  Tue, 29 Nov 2016 22:32:45 +0000

linbox (1.4.2-2) unstable; urgency=medium

  * Team upload.
  * Add versioned Build-Depends and Depends on fflas-ffpack. (Closes: #840457)
  * Disable building with fplll.

 -- Tobias Hansen <thansen@debian.org>  Mon, 07 Nov 2016 13:50:55 +0000

linbox (1.4.2-1) unstable; urgency=medium

  [ Doug Torrance ]
  * New upstream release.
    - Include modular-int32.h from new location, was moved from FFLAS-FFPACK
      to Givaro (Closes: #832539).
  * Tidy packaging with wrap-and-sort.
  * debian/compat
    - Bump debhelper compatibility level to 9.
  * debian/control
    - Add myself to Uploaders.
    - Bump versioned dependency on debhelper to >= 9.
    - Bump Standards-Version to 3.9.8.
    - Add Vcs-* fields (Closes: #723682).
  * debian/copyright
    - Update copyright information.
  * debian/liblinbox-dev.examples
    - Install contents of example directory, not examples directory itself.
      Avoids nested-examples-directory Lintian error.
  * debian/liblinbox-doc.lintian-overrides
    - New file; override Lintian warning for jQuery embedded by Doxygen.
  * debian/patches/no-install-docs.patch
    - New patch; do not include INSTALL in documentation.
  * debian/rules
    - Use all hardening flags.
  * debian/watch
    - Bump to version 4 and update download location.

  [ Tobias Hansen ]
  * Rename lib packages due to new soname.
  * Update build-depends for higher givaro version.
  * Refresh patches.
  * Add -fopenmp to LDFLAGS.
  * Install pkgconfig file.
  * New patch pkgconfig.patch:
    Do not put the CFLAGS used to build linbox into the pkg-config file.
  * Remove Lifeng Sun from Uploaders.
  * debian/patches/fix-gmp-detect.patch
    - Removed obsolete patch.
  * debian/patches/linboxsage-link-iml.patch
    - Removed obsolete patch.
  * Build-Depend on pkg-config.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 09 Oct 2016 14:54:43 +0100
