=== debian/control ===
Source: linbox
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 10),
               pkg-config,
# please keep the version below in-sync with linbox.pc.in
# also the Depends: field of liblinbox-dev below
               fflas-ffpack (>= 2.2.2),
               gnuplot,
               libgivaro-dev (>= 4.0),
               libgmp-dev,
               libgsl0-dev,
               libiml-dev,
               liblapack-dev,
               libm4ri-dev,
               libm4rie-dev,
               libmpfr-dev,
               libntl-dev
Build-Depends-Indep: doxygen-latex,
                     ghostscript,
                     graphviz,
                     texlive-fonts-recommended,
                     texlive-science
Standards-Version: 4.0.1
Homepage: http://www.linalg.org/
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/linbox.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/linbox.git

Package: liblinbox-dev
Section: libdevel
Architecture: any
Depends: libgivaro-dev,
         liblapack-dev,
         liblinbox-1.4.2-0 (= ${binary:Version}),
# please keep the version below in-sync with linbox.pc.in
         fflas-ffpack (>= 2.2.2),
         ${misc:Depends}
Suggests: liblinbox-doc
Description: Library for exact linear algebra - development files
 LinBox is a C++ template library for exact, high-performance
 linear algebra computation with dense, sparse, and structured
 matrices over the integers and over finite fields.
 .
 This package contains the LinBox development files.

Package: liblinbox-1.4.2-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for exact linear algebra - shared library
 LinBox is a C++ template library for exact, high-performance
 linear algebra computation with dense, sparse, and structured
 matrices over the integers and over finite fields.
 .
 This package contains the LinBox shared library.

Package: liblinboxsage-dev
Section: libdevel
Architecture: any
Depends: liblinbox-dev (= ${binary:Version}),
         liblinboxsage-1.4.2-0 (= ${binary:Version}),
         ${misc:Depends}
Suggests: liblinbox-doc
Description: SAGE interface of LinBox - development files
 LinBox is a C++ template library for exact, high-performance
 linear algebra computation with dense, sparse, and structured
 matrices over the integers and over finite fields.
 .
 This package contains development files for of interface of LinBox.

Package: liblinboxsage-1.4.2-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SAGE interface of LinBox - shared library
 LinBox is a C++ template library for exact, high-performance
 linear algebra computation with dense, sparse, and structured
 matrices over the integers and over finite fields.
 .
 This package contains shared library of SAGE interface of LinBox.

Package: liblinbox-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: LinBox Documentation
 LinBox is a C++ template library for exact, high-performance
 linear algebra computation with dense, sparse, and structured
 matrices over the integers and over finite fields.
 .
 This package provides the documentation of LinBox.
