=== debian/watch ===
version=4
https://github.com/linbox-team/linbox/releases (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
