## linbox 1.5.2

=== debian/changelog ===
linbox (1.5.2-2) unstable; urgency=medium

  [ Doug Torrance ]
  * debian/compat
    - Bump debhelper compatibility level to 11.
  * debian/control
    - Bump versioned dependency on debhelper to >= 11.
    - Bump Standards-Version to 4.1.5.
  * debian/patches/gcc8.patch
    - New patch from Arch; fixes build with GCC8 by removing unnecessary
      double template (Closes: #897801).
  * debian/watch
    - Use uscan v4 special strings.

  [ Tobias Hansen ]
  * Update doc-base file after documentation location changed due to compat 11.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 19 Jul 2018 22:22:30 -0400

linbox (1.5.2-1) unstable; urgency=medium

  * Team upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Tue, 26 Jun 2018 11:26:16 +0200

linbox (1.5.2-1~exp2) experimental; urgency=medium

  * Team upload.
  * Disable non-standard instructions sets.
  * Depend on latest fflas-ffpack revision.

 -- Tobias Hansen <thansen@debian.org>  Wed, 06 Jun 2018 14:56:13 +0200

linbox (1.5.2-1~exp1) experimental; urgency=medium

  [ Doug Torrance ]
  * New upstream release.
  * Refresh patches for new upstream version
  * Bump version in library sonames.
  * Bump version of fflas-ffpack in Build-Depends and Depends.
  * Update VCS-* to Salsa
  * Bump Standards-Version to 4.1.3.
  * New patch replacing probabilistic CRA for charpoly by a deterministic one.

  [ Tobias Hansen ]
  * Rename *.install files after packages have been renamed for SONAME bump.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 24 Mar 2018 18:41:34 -0400
