=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                pkg-config,
 # please keep the version below in-sync with linbox.pc.in
 # also the Depends: field of liblinbox-dev below
-               fflas-ffpack (>= 2.2.2),
+               fflas-ffpack (>= 2.3.2-1~exp3),
                gnuplot,
                libgivaro-dev (>= 4.0),
                libgmp-dev,
@@ -23,19 +23,19 @@
                      graphviz,
                      texlive-fonts-recommended,
                      texlive-science
-Standards-Version: 4.0.1
+Standards-Version: 4.1.5
 Homepage: http://www.linalg.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/linbox.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/linbox.git
+Vcs-Browser: https://salsa.debian.org/science-team/linbox
+Vcs-Git: https://salsa.debian.org/science-team/linbox.git
 
 Package: liblinbox-dev
 Section: libdevel
 Architecture: any
 Depends: libgivaro-dev,
          liblapack-dev,
-         liblinbox-1.4.2-0 (= ${binary:Version}),
+         liblinbox-1.5.2-0 (= ${binary:Version}),
 # please keep the version below in-sync with linbox.pc.in
-         fflas-ffpack (>= 2.2.2),
+         fflas-ffpack (>= 2.3.2-1~exp3),
          ${misc:Depends}
 Suggests: liblinbox-doc
 Description: Library for exact linear algebra - development files
@@ -45,7 +45,7 @@
  .
  This package contains the LinBox development files.
 
-Package: liblinbox-1.4.2-0
+Package: liblinbox-1.5.2-0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -62,7 +62,7 @@
 Section: libdevel
 Architecture: any
 Depends: liblinbox-dev (= ${binary:Version}),
-         liblinboxsage-1.4.2-0 (= ${binary:Version}),
+         liblinboxsage-1.5.2-0 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: liblinbox-doc
 Description: SAGE interface of LinBox - development files
@@ -72,7 +72,7 @@
  .
  This package contains development files for of interface of LinBox.
 
-Package: liblinboxsage-1.4.2-0
+Package: liblinboxsage-1.5.2-0
 Section: libs
 Architecture: any
 Multi-Arch: same
