=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,16 @@
 export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS
 
 DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+
+DISABLE_INSTRUCTION_SETS = \
+	--disable-sse3     \
+	--disable-ssse3    \
+	--disable-sse41    \
+	--disable-sse42    \
+	--disable-avx      \
+	--disable-avx2     \
+	--disable-fma      \
+	--disable-fma4
 
 # Disable failing test test-charpoly on mips and mipsel.
 # See #797167, #856356 and https://github.com/linbox-team/linbox/issues/37
@@ -31,10 +41,10 @@
 		--with-ntl \
 		--with-iml \
 		--with-m4ri \
-                --without-fplll \
-		--enable-optimization \
+		--without-fplll \
 		--enable-sage \
-		--enable-shared
+		--enable-shared \
+		$(DISABLE_INSTRUCTION_SETS)
 
 override_dh_auto_install:
 	dh_auto_install --max-parallel=1
@@ -42,10 +52,10 @@
 	mv debian/tmp/usr/include/linbox/linbox-sage.h \
 		debian/liblinboxsage-dev/usr/include/linbox
 	cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH); \
-		ln -s liblinbox-1.4.2.so.0.0.0 liblinbox-1.4.2.so; \
-		ln -s liblinboxsage-1.4.2.so.0.0.0 liblinboxsage-1.4.2.so; \
-		sed -e 's|-llinbox|-llinbox-1.4.2|' -i pkgconfig/linbox.pc; \
-		sed -e 's|-llinboxsage|-llinboxsage-1.4.2|' -i pkgconfig/linbox.pc
+		ln -s liblinbox-1.5.2.so.0.0.0 liblinbox-1.5.2.so; \
+		ln -s liblinboxsage-1.5.2.so.0.0.0 liblinboxsage-1.5.2.so; \
+		sed -e 's|-llinbox|-llinbox-1.5.2|' -i pkgconfig/linbox.pc; \
+		sed -e 's|-llinboxsage|-llinboxsage-1.5.2|' -i pkgconfig/linbox.pc
 
 override_dh_auto_build-indep:
 	dh_testdir
