## linbox 1.6.3

=== debian/changelog ===
linbox (1.6.3-5) unstable; urgency=medium

  * debian/tests/control
    - Add allow-stderr restriction; warning messages on i386 were causing
      the tests to fail.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 15 Nov 2021 22:45:41 -0500

linbox (1.6.3-4) unstable; urgency=medium

  * debian/compat
    - Remove file; will build-depend on debhelper-compat instead.
  * debian/control
    - Update Maintainer to Debian Math Team.
    - Use debhelper-compat in Build-Depends and bump debhelper
      compatibility level to 13.
    - Add doxygen (for dh_doxygen) and jdupes to Build-Depends-Indep.
    - Bump Standards-Version to 4.6.0.
    - Update Vcs-* fields (science-team -> math-team).
    - Add Rules-Requires-Root field.
  * debian/copyright
    - Convert tabs to spaces.
    - Update file wildcards.
    - Add myself to copyright holders for debian/*.
  * debian/*.install
    - Drop unnecessary "debian/tmp" from paths; dh_install has looked
      there by default since debhelper 7.
  * debian/liblinbox-dev.examples
    - Include test matrices mentioned in examples/Readme.
  * debian/liblinbox-dev.manpages
    - Use installed copy of manpage so dh_missing doesn't complain.
  * debian/liblinbox-doc.lintian-overrides
    - Remove file; only override (embedded-javascript-library) was unused.
  * debian/not-installed
    - New file; tell dh_missing that libtool .la file is not installed.
  * debian/patches/reproducible-linbox-config.patch
    - New patch; backport a commit from upstream git which removes
      CXXFLAGS from the linbox-config script.  They contain the build
      path, which was causing non-reproducible builds.
  * debian/rules
    - Remove DH_VERBOSE comment.
    - Stop building developer's documentation; not installed.
    - Use jdupes to create symlinks to duplicate images in docs.
    - Run dh_doxygen to remove Doxygen cruft.
    - New override_dh_installexamples target.  Exclude Makefiles from
      example directories; they are generated by autotools and result
      in non-reproducible builds.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/tests/control
    - Add simple smoke test for autopkgtest; compile and run one of the
      examples.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 11 Nov 2021 05:56:29 -0500

linbox (1.6.3-3) unstable; urgency=medium

  * debian/patches/iterator-difference-type.patch
    - New patch; use std::ptrdiff_t for vector iterator difference
      type (Closes: #987921).

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 09 May 2021 12:28:04 -0400

linbox (1.6.3-2) unstable; urgency=medium

  * Team upload.

  [ Peter Michael Green ]
  * Replace dangerous pointer casts that are causing bus errors on
    some arm setups with memcpy calls (Closes: #944055).
  * Disable test-rank-md, test-solve-full and test-solve  on mips/mipsel,
    they fail to build with an out of memory error from the assembler on mipsel
    (Closes: #950433).
  * Fix clean target.

 -- Tobias Hansen <thansen@debian.org>  Sat, 01 Feb 2020 21:09:26 +0100

linbox (1.6.3-1) unstable; urgency=medium

  * Team upload.

  [ Doug Torrance ]
  * debian/control
    - Bump Standards-Version to 4.2.1.
  * debian/rules
    - Drop explicit call to dpkg-buildflags; not necessary after debhelper 9.
    - Include architecture.mk instead of manually setting variable.

  [ Tobias Hansen ]
  * New upstream version.
  * Remove patches (applied upstream):
    - no-install-docs.patch
    - linbox_charpoly_fullCRA.patch
    - gcc8.patch
  * Update Build-Depends:
    - fflas-ffpack (>= 2.4.3)
    - libgivaro-dev (>= 4.1.1)
  * Rename library package for soname change 1.5.2 -> 1.6.3.
  * Remove liblinboxsage packages.

 -- Tobias Hansen <thansen@debian.org>  Wed, 11 Sep 2019 20:44:18 +0200
