=== debian/control ===
Source: linbox
Section: math
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper-compat (= 13),
               pkg-config,
# please keep the version below in-sync with linbox.pc.in
# also the Depends: field of liblinbox-dev below
               fflas-ffpack (>= 2.4.3),
               gnuplot,
               libgivaro-dev (>= 4.1.1),
               libgmp-dev,
               libgsl0-dev,
               libiml-dev,
               liblapack-dev,
               libm4ri-dev,
               libm4rie-dev,
               libmpfr-dev,
               libntl-dev
Build-Depends-Indep: doxygen,
                     doxygen-latex,
                     ghostscript,
                     graphviz,
                     jdupes,
                     texlive-fonts-recommended,
                     texlive-science
Standards-Version: 4.6.0
Homepage: http://www.linalg.org/
Vcs-Browser: https://salsa.debian.org/math-team/linbox
Vcs-Git: https://salsa.debian.org/math-team/linbox.git
Rules-Requires-Root: no

Package: liblinbox-dev
Section: libdevel
Architecture: any
Depends: libgivaro-dev,
         liblapack-dev,
         liblinbox-1.6.3-0 (= ${binary:Version}),
# please keep the version below in-sync with linbox.pc.in
         fflas-ffpack (>= 2.4.3),
         ${misc:Depends}
Suggests: liblinbox-doc
Description: Library for exact linear algebra - development files
 LinBox is a C++ template library for exact, high-performance
 linear algebra computation with dense, sparse, and structured
 matrices over the integers and over finite fields.
 .
 This package contains the LinBox development files.

Package: liblinbox-1.6.3-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for exact linear algebra - shared library
 LinBox is a C++ template library for exact, high-performance
 linear algebra computation with dense, sparse, and structured
 matrices over the integers and over finite fields.
 .
 This package contains the LinBox shared library.

Package: liblinbox-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: LinBox Documentation
 LinBox is a C++ template library for exact, high-performance
 linear algebra computation with dense, sparse, and structured
 matrices over the integers and over finite fields.
 .
 This package provides the documentation of LinBox.
