=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/architecture.mk

DISABLE_INSTRUCTION_SETS = \
	--disable-sse3     \
	--disable-ssse3    \
	--disable-sse41    \
	--disable-sse42    \
	--disable-avx      \
	--disable-avx2     \
	--disable-fma      \
	--disable-fma4

# Disable failing test test-charpoly on mips and mipsel.
# See #797167, #856356 and https://github.com/linbox-team/linbox/issues/37
# also disable test-rank-md, test-solve-full and test-solve, they fail
# to build with an out of memory error on mipsel
ifneq (,$(filter mips mipsel, $(DEB_HOST_ARCH_CPU)))
override_dh_autoreconf:
	sed -e '/\s*test-charpoly\s*\\/d' -i tests/Makefile.am
	sed -e '/\s*test-rank-md\s*\\/d' -i tests/Makefile.am
	sed -e '/\s*test-solve-full\s*\\/d' -i tests/Makefile.am
	sed -e '/\s*test-solve\s*\\/d' -i tests/Makefile.am
	dh_autoreconf
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-gmp \
		--with-m4rie \
		--with-givaro \
		--with-ntl \
		--with-iml \
		--with-m4ri \
		--without-fplll \
		--enable-shared \
		$(DISABLE_INSTRUCTION_SETS)

override_dh_auto_install:
	dh_auto_install --max-parallel=1
	cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH); \
		ln -s liblinbox-1.6.3.so.0.0.0 liblinbox-1.6.3.so; \
		sed -e 's|-llinbox|-llinbox-1.6.3|' -i pkgconfig/linbox.pc

override_dh_auto_build-indep:
	dh_testdir
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) docs
	rm -f doc/linbox-html/INSTALL
	rm -f doc/linbox-html/COPYING
	jdupes -l doc/linbox-html
endif

execute_after_dh_installdocs-indep:
	dh_doxygen

# exclude Makefiles from example directories; they are generated by autotools
# and result in non-reproducible builds
override_dh_installexamples:
	dh_installexamples -XMakefile

override_dh_auto_clean:
	dh_auto_clean
	rm -f _configs.sed doc/Doxyfile doc/DoxyfileDev doc/doxy.debug doc/doxydev.debug linbox/config.h tests/temp2
	sed -i s/1.6.3/1.6.2/ doc/mainpage.doxy

%:
	dh $@
