## linbox 1.7.0

=== debian/changelog ===
linbox (1.7.0-3) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.6.2.
    - Add Multi-Arch field for liblinbox-doc (foreign).
  * debian/copyright
    - Update my copyright years.
  * debian/gbp.conf
    - New file; set debian-branch to debian/latest as recommended by
      DEP-14.
  * debian/watch
    - Switch from GitHub releases to tags page for download link.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 07 Jan 2023 18:28:28 -0500

linbox (1.7.0-2) unstable; urgency=medium

  * debian/control
    - Add libfplll-dev to liblinbox-dev's Depends (Closes: #1001878).

 -- Doug Torrance <dtorrance@debian.org>  Sat, 18 Dec 2021 10:35:00 -0500

linbox (1.7.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 16 Dec 2021 16:18:23 -0500

linbox (1.7.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/{control,copyright}
    - Update my email address; now a Debian Developer.
  * debian/control
    - Bump versioned dependencies on fflas-ffpack to 2.5.0.
    - Add libfplll-dev and libflint-dev to Build-Depends.
    - Drop libgivaro-dev from Build-Depends since it's a dependency of
      fflas-ffpack.
    - Rename liblinbox-1.6.3-0 binary package to liblinbox-1.7.0-0.
  * debian/liblinbox-1.7.0-0.install
    - Rename from liblinbox-1.6.3-0.install.
  * debian/patches
    - Remove patches applied upstream.
      + iterator-difference-type.patch
      + pkgconfig.patch
      + replace-dangerous-pointer-casts-with-memcpy.patch
      + reproducible-linbox-config.patch
  * debian/patches/skip-test-fft-modular-extended.patch
    - New patch; skip Test FFT with ModularExtended; failing on i386.
  * debian/patches/soname.patch
    - Refresh for new upstream release.  Also use autoconf's VERSION output
      variable to simplify future maintenance.
  * debian/patches/uint128.patch
    - New patch; only register uint128_t as a TypeName when it's available.
      Otherwise, test-fft will fail when it isn't.
  * debian/rules
    - Remove override_dh_autoreconf target skipping failing tests on MIPS
      architectures; possibly fixed upstream.
    - Drop redundant --prefix and --libdir options from dh_auto_configure.
    - Remove various configure options which are no longer available
      (enabling libraries and disabling instruction sets).
    - Drop --with-ntl, --with-iml, and --enable-shared from configure
      options; these are already the defaults.
    - Remove --without-fplll from configure options; we now build with
      fplll support.
    - Pass --without-archnative to configure to disable -march=native/
      -mcpu=native flags.
    - Use DEB_VERSION_UPSTREAM in override_dh_auto_install target instead
      of hardcoding the version number for simpler maintenance.
    - Stop fixing documentation version number in override_dh_auto_clean;
      no longer an issue.
    - New override_dh_clean target; don't remove
      interfaces/maple/lb-maple.mpl.bak; under version control.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 14 Dec 2021 20:53:25 -0500
