=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: math
 Priority: optional
 Maintainer: Debian Math Team <team+math@tracker.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>
+Uploaders: Doug Torrance <dtorrance@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-config,
 # please keep the version below in-sync with linbox.pc.in
 # also the Depends: field of liblinbox-dev below
-               fflas-ffpack (>= 2.4.3),
+               fflas-ffpack (>= 2.5.0~),
                gnuplot,
-               libgivaro-dev (>= 4.1.1),
+               libflint-dev,
+               libfplll-dev,
                libgmp-dev,
                libgsl0-dev,
                libiml-dev,
@@ -25,7 +26,7 @@
                      jdupes,
                      texlive-fonts-recommended,
                      texlive-science
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://www.linalg.org/
 Vcs-Browser: https://salsa.debian.org/math-team/linbox
 Vcs-Git: https://salsa.debian.org/math-team/linbox.git
@@ -34,11 +35,12 @@
 Package: liblinbox-dev
 Section: libdevel
 Architecture: any
-Depends: libgivaro-dev,
+Depends: libfplll-dev,
+         libgivaro-dev,
          liblapack-dev,
-         liblinbox-1.6.3-0 (= ${binary:Version}),
+         liblinbox-1.7.0-0 (= ${binary:Version}),
 # please keep the version below in-sync with linbox.pc.in
-         fflas-ffpack (>= 2.4.3),
+         fflas-ffpack (>= 2.5.0~),
          ${misc:Depends}
 Suggests: liblinbox-doc
 Description: Library for exact linear algebra - development files
@@ -48,7 +50,7 @@
  .
  This package contains the LinBox development files.
 
-Package: liblinbox-1.6.3-0
+Package: liblinbox-1.7.0-0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -64,6 +66,7 @@
 Package: liblinbox-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: LinBox Documentation
  LinBox is a C++ template library for exact, high-performance
