=== debian/tests/control ===
Test-Command: g++ `pkg-config linbox --cflags`
 /usr/share/doc/liblinbox-dev/examples/bigmat.C -o bigmat &&
 ./bigmat 10
Depends: build-essential, pkg-config, @
Restrictions: allow-stderr
