=== debian/watch ===
version=4
https://github.com/linbox-team/linbox/tags \
(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
