## linbox 1.7.1

=== debian/changelog ===
linbox (1.7.1-2) unstable; urgency=medium

  * debian/patches/ntl-zz-px.patch
    - New patch; restrict NTL_zz_pX::init to Coeff vector to fix builds
      on 32-bit architectures.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 11 Sep 2025 23:52:03 -0400

linbox (1.7.1-1) unstable; urgency=medium

  * New upstream release.
    - Remove "<>" from constructors, which were causing build failures
      when compiling with GCC 15 (Closes: #1097298).
  * Rename liblinbox-1.7.0-0t64 -> liblinbox-1.7.1 for soversion bump.
  * debian/control
    - Drop t64 transition Provides/Replaces/Breaks; no longer necessary
      after soversion bump.
    - Bump Standards-Version to 4.7.2
  * debian/copyright
    - Bump my copyright years.
  * debian/gbp.conf
    - Set pristine-tar to true.
  * debian/liblinbox-1.7.0-0t64.lintian-overrides
    - Remove file; no longer necessary after the soversion bump.
  * debian/patches
    - Refresh for new upstream release.
    - Remove patches that have been applied (or issue otherwise fixed)
      upstream:
      + const-cast-missing.patch
      + fix-the-size-formula-for-an-allocation.patch
      + skip-test-fft-modular-extended.patch
      + uint128.patch
    - soname.patch
      + Drop -version-info; just using -release is sufficient and the
        soversion will be simpler without the extra "-0".
  * debian/tests/control
    - Update path to source for test program.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 06 Sep 2025 13:59:42 -0400

linbox (1.7.0-5) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.7.0.
  * debian/patches/const-cast-missing.patch
    - New patch from upstream git; add missing const_cast's to fix build
      with GCC 14 (Closes: #1075222).

 -- Doug Torrance <dtorrance@debian.org>  Thu, 04 Jul 2024 11:43:58 -0400

linbox (1.7.0-4) unstable; urgency=medium

  [ Vladimir Petko ]
  * debian/fix-the-size-formula-for-an-allocation.patch
    - Apply proposed fix to resolve the buffer overrun (Closes: #1067787).

  [ Doug Torrance ]
  * debian/control
    - Replace obsolete pkg-config with pkgconf in Build-Depends.
    - Add gnuplot-nox as first alternative for the virtual gnuplot package
      in Build-Depends.
  * debian/copyright
    - Update my copyright years.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 26 Mar 2024 17:28:22 -0400

linbox (1.7.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062746

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 07:37:06 +0000
