=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Doug Torrance <dtorrance@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               pkg-config,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+               pkgconf,
 # please keep the version below in-sync with linbox.pc.in
 # also the Depends: field of liblinbox-dev below
                fflas-ffpack (>= 2.5.0~),
-               gnuplot,
+               gnuplot-nox | gnuplot,
                libflint-dev,
                libfplll-dev,
                libgmp-dev,
@@ -26,7 +26,7 @@
                      jdupes,
                      texlive-fonts-recommended,
                      texlive-science
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: http://www.linalg.org/
 Vcs-Browser: https://salsa.debian.org/math-team/linbox
 Vcs-Git: https://salsa.debian.org/math-team/linbox.git
@@ -38,7 +38,7 @@
 Depends: libfplll-dev,
          libgivaro-dev,
          liblapack-dev,
-         liblinbox-1.7.0-0 (= ${binary:Version}),
+         liblinbox-1.7.1 (= ${binary:Version}),
 # please keep the version below in-sync with linbox.pc.in
          fflas-ffpack (>= 2.5.0~),
          ${misc:Depends}
@@ -50,7 +50,7 @@
  .
  This package contains the LinBox development files.
 
-Package: liblinbox-1.7.0-0
+Package: liblinbox-1.7.1
 Section: libs
 Architecture: any
 Multi-Arch: same
